
#ifndef graphics_h
#define graphics_h

void lcd_init (void);
void lcd_plot (uint8_t x, uint8_t y, uint8_t mode);
void lcd_rect (uint8_t x1, uint8_t y1, uint8_t widthx, uint8_t widthy,uint8_t mode);
void lcd_frect (uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t mode);
void draw_circle(int16_t x0, int16_t y0, int16_t radius, uint8_t mode);
void draw_fcircle(int16_t x0, int16_t y0, int16_t radius);
void put_char (uint8_t x, uint8_t y, uint8_t c, uint8_t mode);
void lcd_line(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, uint8_t mode);
void send_byte (uint8_t data);
void lcd_print(uint8_t *text, uint8_t mode);
void lcd_print_at (uint8_t x, uint8_t y, uint8_t *text, uint8_t mode);
void lcd_printp (const char *text, uint8_t mode);
void lcd_print_atp (uint8_t x, uint8_t y, const char *text, uint8_t mode);
void lcd_cls (void);

volatile uint8_t display_buffer[1024];					// Display-Puffer, weil nicht zurckgelesen werden kann
volatile uint16_t display_buffer_pointer;					// Pointer auf das aktuell bertragene Byte
volatile uint8_t display_buffer_counter;					// Hilfszhler zur Selektierung der Page
volatile uint8_t display_page_counter;					// aktuelle Page-Nummer
volatile uint8_t display_mode;							// Modus fr State-Machine

#endif
