/*
Mobiles Mikrokopter-Tool
+++++ BETA 0.1 +++++
Diese Software ist Open-Source und darf nicht fr kommerzielle Zwecke verwendet werden.
Die Software darf kopiert, verndert und weitergegeben werden, unter der Bedingung,
dass immer der komplette Source inklusive dieser Lizenz weitergegeben wird.
Fr den LCD-Font gilt das dort angegebene Copyright.
(C) 2008 Thomas Kaiser, thomas@ft-fanpage.de

Die Software wird "so wie sie ist" geliefert.
Keine Gewhr auf Fehlerfreiheit, Vollstndigkeit oder Funktion.
Benutzung auf eigene Gefahr.
Ich bernehmen keinerlei Haftung fr direkte oder indirekte Personen- oder Sachschden.
Dies gilt insbesondere fr die vorliegende Beta-Version.

Teile des Source (z.B. die base64-Funktionen) sind abgewandelte Funktionen aus dem Mikrokopter-Source,
siehe http://www.mikrokopter.de

*/

#define F_CPU 7378200ul

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include <avr/pgmspace.h>

#include "main.h"
#include "lcd.h"
#include "rs232.h"
#include "parameter.h"
#include "menu.h"
#include "display.h"
#include "base64.h"
#include "timer.h"


int main (void)
{
	PORTA = 0xFF;		// unbenutzte Pins auf Pull-Up
	PORTB = 0x43;
	PORTC = 0xFC;
	PORTD = 0x7C;
	
	DDRC = 0x03;		// Pins fr Beleuchtung auf Ausgang
	DDRD = 0x80;

	lcd_init();
	RS232_init();
	timer_init();
	
	sei();

	for (;;)
		main_menu();
}
